de.esprit.common.gui.comp

## Interface Closeable

- All Known Subinterfaces:
    ApplicationToolWindow<C>, FieldEditor<T>, RecordEditor<R>, ToolWindow
  All Known Implementing Classes:
    ABOCreateDialog, ABOEditDialog, ABOFetchDialog, ABOFindDialog, AboutEspritDialog, AbstractABODialog, AbstractCheckBoxOptionDialog, AbstractClientRecordDialog, AbstractFieldDialog, AbstractGroupManagerDialog, AbstractLoginFrame, AbstractNameInputDialog, AbstractPathEditDialog, AbstractRecordDialog, AbstractRecordFrame, AbstractUserManagerDialog, ActivityMonitorDialog, AppLaunchPrefsDialog, ApplicationMainFrame, ApplicationTestFrame, ArchiveConfigDialog, BatchTaskConfigDialog, BatchTaskManagerDialog, CalendarDateDialog, CalendarTimestampDialog, ChangePasswordForUserDialog, ChatToolFrame, ChoosePermissionDialog, ClientActivityMonitorDialog, ClientMainFrame, ClientMessageSendDialog, ClientShutdownDialog, ClientToolDialog, ClientToolFrame, ConfirmDialog, ConnectionLostDialog, CpuLoadConfigDialog, CreateDirectoryDialog, CreateFileDialog, DataSourceListDialog, DBRecordListFrame, DBRecordTableDialog, DBRecordTableFrame, DefaultClientRecordDialog, DefaultFieldEditor, DefaultLoginDialog, DefaultRecordCreateDialog, DefaultRecordEditDialog, DirectoryPathEditor, DumpDialog, EmailConfigDialog, ErrorDialog, EspritClientLoginFrame, EspritClientMainFrame, EspritDemoMainFrame, FatalErrorFrame, FileNameInputDialog, FilePathEditor, FileViewerDialog, FindStringDialog, GroupAssignDialog, GroupCreateDialog, GroupEditDialog, GroupFormDialog, GroupManagerDialog, InfoDialog, InputFileChooserDialog, ListRowDumpDialog, LoadMeterDialog, LogConfigDialog, LogfileListDialog, LogFrame, MemoryMonitorDialog, MessageDialog, ObserveTaskDialog, OutputDirectoryChooserDialog, OutputFileChooserDialog, PasswordChangeDialog, PermissionManagerDialog, RadioButtonOptionDialog, RecordTypeChooserDialog, RemoteTaskFrame, RemoteTextEditorDialog, RenamePathDialog, RootDirectoryChooserDialog, ServerEventRegisterDialog, ServerMemoryMonitorDialog, ServerShutdownDialog, SessionManagerDialog, SetDefaultPasswordDialog, TableEditFrame, TableRowDumpDialog, TankEditDialog, TaskManagerDialog, TaskOptionDialog, TextEditorDialog, TextEditorFrame, TextViewerDialog, TextViewerFrame, ToolDialog, ToolFrame, UserCreateDialog, UserEditDialog, UserFormDialog, UserManagerDialog, WarningDialog, WorkflowManagerDialog, WorkflowMonitorDialog, ZDialog, ZFrame

      public interface Closeable

  This should be implemented by Dialogs of Frames that have a `CloseButton`.
  Author:
    Rainer Buesch
  See Also:
    `CloseButton`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This method is called by the `CloseButton` on it's registered target.

- - ### Method Detail

    - #### close

          void close()

      This method is called by the `CloseButton` on it's registered target.

Copyright © 2014 EsprIT-Systems. All Rights Reserved.